[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/rsyslog/devel .cvsignore, 1.3, 1.4 rsyslog.spec, 1.2, 1.3 sources, 1.3, 1.4 rsyslog-1.17.1-rOptionCompat.patch, 1.1, NONE



Peter Vrabec (pvrabec) wrote, at 07/23/2007 11:49 PM +9:00:
> 
> 
> Index: rsyslog.spec
> ===================================================================
> RCS file: /cvs/extras/rpms/rsyslog/devel/rsyslog.spec,v
> retrieving revision 1.2
> retrieving revision 1.3
> diff -u -r1.2 -r1.3
> --- rsyslog.spec	20 Jul 2007 10:43:39 -0000	1.2
> +++ rsyslog.spec	23 Jul 2007 14:49:14 -0000	1.3
> @@ -1,9 +1,9 @@
> -%define with_db 0
> -%define sbindir	/sbin
> +%define	with_db	0
> +%define	sbindir	/sbin
>  
>  Summary: Enhanced system logging and kernel message trapping daemons
>  Name: rsyslog
> -Version: 1.17.1
> +Version: 1.17.2
>  Release: 1%{?dist}
>  License: GPL
>  Group: System Environment/Daemons
> @@ -11,7 +11,6 @@
>  Source0: http://download.adiscon.com/rsyslog/%{name}-%{version}.tar.gz
>  Source1: rsyslog.init
>  Source2: rsyslog.sysconfig
> -Patch1: rsyslog-1.17.1-rOptionCompat.patch
>  Conflicts: logrotate < 3.5.2
>  %if %{with_db}
>  BuildRequires: mysql-devel >= 4.0
> @@ -24,6 +23,7 @@
>  Requires(preun): /sbin/chkconfig /sbin/chkconfig
>  Requires(postun): /sbin/service
>  Provides: syslog
> +Provides: sysklogd
>  Obsoletes: sysklogd
>  BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

I got the following error:

[root localhost mock]# yum -y upgrade rsyslog
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package rsyslog.i386 0:1.17.2-1.fc8 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 rsyslog                 i386       1.17.2-1.fc8     koji              151 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 151 k
Downloading Packages:
Running rpm_check_debug
--> Populating transaction set with selected packages. Please wait.
---> Package rsyslog.i386 0:1.17.2-1.fc8 set to be updated
ERROR with rpm_check_debug vs depsolve:
Package vixie-cron conflicts with sysklogd < 1.4.1.
Complete!

Regards,
Mamoru


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]